net.snowflake.client.ingest

## Class PushTask

- java.lang.Object
- - net.snowflake.client.ingest.PushTask

All Implemented Interfaces:
  Callable<Integer>

    public class PushTask
    extends Object
    implements Callable<Integer>

Created by hyu on 10/18/16.

### Nested Class Summary

Nested Classes
`static class` `PushTask.IngestPushFilesRequest`

### Constructor Summary

Constructors
Constructor and Description
`PushTask(String jwtToken, List<List<Path>> batchOfFiles, org.apache.http.impl.client.CloseableHttpClient httpClient, String fqStageName, String fqTableName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `call()`
`ConcurrentHashMap<String,String>` `getPushedFiles()`
`void` `setInterBatchDelay(int inter_batch_delay)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PushTask

    public PushTask(String jwtToken,
                    List<List<Path>> batchOfFiles,
                    org.apache.http.impl.client.CloseableHttpClient httpClient,
                    String fqStageName,
                    String fqTableName)

### Method Detail

#### call

    public Integer call()
                 throws Exception

Specified by:
  `call` in interface `Callable<Integer>`
Throws:
  `Exception`

#### setInterBatchDelay

    public void setInterBatchDelay(int inter_batch_delay)

#### getPushedFiles

    public ConcurrentHashMap<String,String> getPushedFiles()